#############
# $Id: connectDBIxTracking.pm 14173 2011-09-13 09:45:29Z ajb $
# Created By: ajb
# Last Maintained By: $Author: ajb $
# Created On: 2011-09-05
# Last Changed On: $Date: 2011-09-13 10:45:29 +0100 (Tue, 13 Sep 2011) $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-pipeline/tags/release-30.0/lib/npg_pipeline/pre_exec/connectDBIxTracking.pm $

package npg_pipeline::pre_exec::connectDBIxTracking;
use Moose;
use MooseX::InsideOut;
use Carp;
use English qw{-no_match_vars};
use Readonly; Readonly::Scalar our $VERSION => do { my ($r) = q$LastChangedRevision: 14173 $ =~ /(\d+)/mxs; $r; };

extends q{npg_pipeline::base};

with q{npg_pipeline::roles::business::pre_exec_strings};
with q{npg_pipeline::roles::business::databaseConnection};

=head1 NAME

npg_pipeline::pre_exec::connectDBIxTracking

=head1 VERSION

$LastChangedRevision: 14173 $

=head1 SYNOPSIS

  my $connect = npg_pipeline::pre_exec::connectDBIxTracking->new();
  $connect->check_connection();

=head1 DESCRIPTION

This object checks that a connection can be made to the DBIxTracking database, for pre execution before a job that needs to connect to the database to perform operations.

=head1 SUBROUTINES/METHODS

=head2 check_connection

Method returns true (1) if it can connect or false (undef) if it can't

=cut

sub check_connection {
  my ( $self ) = @_;
  my $schema = $self->dbix_tracking_schema();
  if ( $schema ) { return 1; }
  return;
}

no Moose;
__PACKAGE__->meta->make_immutable;
1;
__END__

=head1 DIAGNOSTICS

=head1 CONFIGURATION AND ENVIRONMENT

=head1 DEPENDENCIES

=over

=item Moose

=item Carp

=item English -no_match_vars

=item Readonly

=back

=head1 INCOMPATIBILITIES

=head1 BUGS AND LIMITATIONS

=head1 AUTHOR

$Author: ajb $

=head1 LICENSE AND COPYRIGHT

Copyright (C) 2011 GRL, by Andy Brown (ajb@sanger.ac.uk)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
