#############
# $Id: databaseConnection.pm 14173 2011-09-13 09:45:29Z ajb $
# Created By: ajb
# Last Maintained By: $Author: ajb $
# Created On: 
# Last Changed On: $Date: 2011-09-13 10:45:29 +0100 (Tue, 13 Sep 2011) $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-pipeline/tags/release-30.0/lib/npg_pipeline/roles/business/databaseConnection.pm $

package npg_pipeline::roles::business::databaseConnection;
use Moose::Role;

use Readonly; Readonly::Scalar our $VERSION => do { my ($r) = q$LastChangedRevision: 14173 $ =~ /(\d+)/mxs; $r; };

use npg_tracking::Schema;

=head1 NAME

npg_pipeline::roles::business::databaseConnection

=head1 VERSION

$LastChangedRevision: 14173 $

=head1 SYNOPSIS

  use MyPackage;
  use Moose;
  with qw{npg_pipeline::roles::business::databaseConnection};

=head1 DESCRIPTION

Provides methods to connect to databases, returning a connection object or schema object depending on the database ORM layer to be used.

=head1 SUBROUTINES/METHODS

=head2 dbix_tracking_schema

Returns a dbix schema object connected to the npg tracking application

=cut

has q{dbix_tracking_schema} => (
  isa => q{npg_tracking::Schema},
  is  => q{ro},
  lazy_build => 1,
);

sub _build_dbix_tracking_schema {
  my ( $self ) = @_;

  return npg_tracking::Schema->connect();
}

1;
__END__

=head1 DIAGNOSTICS

=head1 CONFIGURATION AND ENVIRONMENT

=head1 DEPENDENCIES

=over

=item Moose::Role

=item Carp

=item English -no_match_vars

=item Readonly

=back

=head1 INCOMPATIBILITIES

=head1 BUGS AND LIMITATIONS

=head1 AUTHOR

$Author: ajb $

=head1 LICENSE AND COPYRIGHT

Copyright (C) 2011 GRL, by Andy Brown (ajb@sanger.ac.uk)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
