# $Id: 20-archive_folder_generation.t 14173 2011-09-13 09:45:29Z ajb $
use strict;
use warnings;
use Carp;
use English qw{-no_match_vars};
use Test::More tests => 4;
use Test::Exception;
use lib qw{t};
use t::util;

use_ok('npg_pipeline::archive::folder::generation');

my $util = t::util->new();
my $conf_path = $util->conf_path();

$ENV{TEST_BIN} = q{t/bin/};
$ENV{TEST_DIR} = $util->temp_directory();

{
  $util->remove_staging;
  my $afg;
  lives_ok {
    $afg = npg_pipeline::archive::folder::generation->new({
      run_folder => q{123456_IL2_1234},
      conf_path => $conf_path,
      domain => q{test},
    });
  } q{no croak on creation when run_folder provided};
  $util->create_analysis({skip_archive_dir => 1});
  lives_ok { $afg->create_dir(q{staff}); } q{no croak creating archive dir};
  lives_ok { $afg->create_dir(q{staff}); } q{no croak creating archive dir, already exists};
}
1;